function [s,e,m] = transition_s1q0(s,e,m,lo,up,mean);

% printf("time = %i, server = %i\n", s.latest_system_time, s.entry_time_in_server)
% printf("arrival = %i, exit = %i\n", e.next_arrival_time, e.next_exit_time)
% printf("accept = %i, reject = %i, busy = %i\n", m.number_accepted_services, m.number_rejected_services, m.server_busy_time)

% arrival while empty    
   if e.next_exit_time == inf 
      s.latest_system_time = e.next_arrival_time;
      s.entry_time_in_server = e.next_arrival_time;
      e.next_arrival_time = s.latest_system_time + expo_distr(mean);
      e.next_exit_time = s.latest_system_time + unif_distr(lo,up);
      m.number_accepted_services = m.number_accepted_services + 1;
% arrival before exit 
   elseif e.next_arrival_time <= e.next_exit_time
      s.latest_system_time = e.next_arrival_time;
      e.next_arrival_time = s.latest_system_time + expo_distr(mean);
      m.number_rejected_services = m.number_rejected_services + 1;
%exit before arrival 
   elseif e.next_exit_time < e.next_arrival_time
      s.latest_system_time = e.next_exit_time; 
      m.server_busy_time = m.server_busy_time + e.next_exit_time - s.entry_time_in_server;
      e.next_exit_time = inf;
      s.entry_time_in_server = inf; 
   else
      printf("unforeseen situation!!!");
 end